Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class ParametersWithRandom

    java.lang.Object
      org.bouncycastle.crypto.params.ParametersWithRandom

All Implemented Interfaces:
  CipherParameters

    public class ParametersWithRandom

extends java.lang.Object
implements CipherParameters

Constructor Summary
`ParametersWithRandom(CipherParameters parameters)`
`ParametersWithRandom(CipherParameters parameters, java.security.SecureRandom random)`

Method Summary
`CipherParameters` | `getParameters()`
`java.security.SecureRandom` | `getRandom()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersWithRandom

    public ParametersWithRandom(CipherParameters parameters,
                                java.security.SecureRandom random)

### ParametersWithRandom

    public ParametersWithRandom(CipherParameters parameters)

Method Detail

### getRandom

    public java.security.SecureRandom getRandom()

### getParameters

    public CipherParameters getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD